Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.charcode
Class ShiftJISCharacterSet

    java.lang.Object
      net.sf.saxon.charcode.ShiftJISCharacterSet

All Implemented Interfaces:
  CharacterSet

    public class ShiftJISCharacterSet

extends Object
implements CharacterSet

Field Summary
`static long[]` | `flags`

Constructor Summary
`ShiftJISCharacterSet()`

Method Summary
`String` | `getEncodingName()`
`static ShiftJISCharacterSet` | `getInstance()`
`boolean` | `inCharset(int ch)` Determine if a character is present in the character set

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flags

    public static long[] flags

Constructor Detail

### ShiftJISCharacterSet

    public ShiftJISCharacterSet()

Method Detail

### getInstance

    public static ShiftJISCharacterSet getInstance()

### inCharset

    public final boolean inCharset(int ch)

  Description copied from interface: `CharacterSet`
  Determine if a character is present in the character set

  Specified by:
    `inCharset` in interface `CharacterSet`

### getEncodingName

    public final String getEncodingName()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.